parameter_defaults:
  DeployedNetworkEnvironment:
    net_attributes_map:
      external:
        network:
          dns_domain: external.example.com.
          mtu: 1500
          name: external
          tags:
          - tripleo_network_name=External
          - tripleo_vip=true
          - tripleo_net_idx=4
        subnets:
          external_subnet:
            cidr: 10.1.0.0/24
            dns_nameservers: []
            gateway_ip: 10.1.0.1
            host_routes: []
            ip_version: 4
            name: external_subnet
            tags:
            - tripleo_vlan_id=2100
      internal_api:
        network:
          dns_domain: internalapi.example.com.
          mtu: 1500
          name: internal_api
          tags:
          - tripleo_network_name=InternalApi
          - tripleo_vip=true
          - tripleo_net_idx=2
        subnets:
          internal_api_subnet:
            cidr: 10.100.5.0/24
            dns_nameservers: []
            gateway_ip: null
            host_routes: []
            ip_version: 4
            name: internal_api_subnet
            tags:
            - tripleo_vlan_id=1105
      storage:
        network:
          dns_domain: storage.example.com.
          mtu: 1500
          name: storage
          tags:
          - tripleo_network_name=Storage
          - tripleo_vip=true
          - tripleo_net_idx=0
        subnets:
          storage_subnet:
            cidr: 10.100.8.0/24
            dns_nameservers: []
            gateway_ip: null
            host_routes: []
            ip_version: 4
            name: storage_subnet
            tags:
            - tripleo_vlan_id=1108
      storage_mgmt:
        network:
          dns_domain: storagemgmt.example.com.
          mtu: 1500
          name: storage_mgmt
          tags:
          - tripleo_net_idx=1
          - tripleo_network_name=StorageMgmt
          - tripleo_vip=true
        subnets:
          storage_mgmt_subnet:
            cidr: 10.100.7.0/24
            dns_nameservers: []
            gateway_ip: null
            host_routes: []
            ip_version: 4
            name: storage_mgmt_subnet
            tags:
            - tripleo_vlan_id=1107
      tenant:
        network:
          dns_domain: tenant.example.com.
          mtu: 1500
          name: tenant
          tags:
          - tripleo_net_idx=3
          - tripleo_network_name=Tenant
        subnets:
          tenant_subnet:
            cidr: 10.100.6.0/24
            dns_nameservers: []
            gateway_ip: null
            host_routes: []
            ip_version: 4
            name: tenant_subnet
            tags:
            - tripleo_vlan_id=1106
    net_cidr_map:
      external:
      - 10.1.0.0/24
      internal_api:
      - 10.100.5.0/24
      storage:
      - 10.100.8.0/24
      storage_mgmt:
      - 10.100.7.0/24
      tenant:
      - 10.100.6.0/24
    net_ip_version_map:
      external: 4
      internal_api: 4
      storage: 4
      storage_mgmt: 4
      tenant: 4
resource_registry:
  OS::TripleO::Network: /usr/share/openstack-tripleo-heat-templates/network/deployed_networks.yaml
